#include <fstream>

using namespace std;

ifstream input("taphop.inp");
ofstream output("taphop.out");


void out(int i, int &j)
{
	if (i <= j)
	{
		output << i;
		out(i + 1, j);
	}
}

void taphop(int n, int i = 1)
{
	if (i <= n)
	{
		for (int p = i; p <= n; p++)
		{
			out(i, p);
			output << '\n';
		}
		taphop(n, i + 1);
	}
}

int main()
{
	int n;
	input >> n;
	taphop(n);
	input.close();
	output.close();
	return 0;
}